<form [formGroup]="form" (ngSubmit)="submitted.emit(form.value)" class="d-flex flex-column">
  <h2 class="d-flex justify-center mb-8">Sign Up</h2>
  <div class="row mb-8">

    <div class="col-12 mb-4">
      <mat-form-field appearance="outline" class="w-100">
        <mat-label for="name">Name</mat-label>
        <input matInput type="text" formControlName="name" id="name" placeholder="" autocomplete="off" />
        <ng-container *ngIf="form.get('name') as control">
          <ng-container *ngIf="!control.pristine">
            <mat-error *ngIf="control.hasError('required')">
              Field is required
            </mat-error>
            <mat-error *ngIf="control.hasError('minlength')">
              Min length is 4 symbols
            </mat-error>
            <mat-error *ngIf="control.hasError('maxlength')">
              Max length is 64 symbols
            </mat-error>
          </ng-container>
        </ng-container>
      </mat-form-field>

    </div>

    <div class="col-12 mb-4">
      <mat-form-field appearance="outline" class="w-100">
        <mat-label for="email">Email</mat-label>
        <input matInput type="text" formControlName="email" id="email" placeholder="" autocomplete="off" />
        <ng-container *ngIf="form.get('email') as control">
          <ng-container *ngIf="!control.pristine">
            <mat-error *ngIf="control.hasError('required')">
              Field is required
            </mat-error>
            <mat-error *ngIf="control.hasError('pattern')">
              Wrong email
            </mat-error>
            <mat-error *ngIf="control.hasError('minlength')">
              Min length is 4 symbols
            </mat-error>
          </ng-container>
        </ng-container>
      </mat-form-field>
    </div>

    <div class="col-12 mb-4">
      <mat-form-field appearance="outline" class="w-100">
        <mat-label for="password">Password</mat-label>
        <input matInput [type]="showPassword ? 'text' : 'password'" formControlName="password" id="password" placeholder="" autocomplete="off" />
        <button type="button" matSuffix mat-icon-button aria-label="eye" (click)="togglePassword()">
          <mat-icon [svgIcon]="showPassword ? 'eye-off' : 'eye'"></mat-icon>
        </button>
        <ng-container *ngIf="form.get('password') as control">
          <ng-container *ngIf="!control.pristine">
            <mat-error *ngIf="control.hasError('required')">
              Field is required
            </mat-error>
            <mat-error *ngIf="control.hasError('minlength')">
              Min length is 4 symbols
            </mat-error>
            <mat-error *ngIf="control.hasError('maxlength')">
              Max length is 32 symbols
            </mat-error>
          </ng-container>
        </ng-container>
      </mat-form-field>
    </div>

    <div class="col-12 mb-4">
      <mat-form-field appearance="outline" class="w-100">
        <mat-label for="confirmPassword">Confirm Password</mat-label>
        <input matInput type="password" formControlName="confirmPassword" id="confirmPassword" placeholder="" autocomplete="off">
        <ng-container *ngIf="form.get('confirmPassword') as control">
          <ng-container *ngIf="!control.pristine">
            <mat-error *ngIf="control.hasError('passwordMatching')">
              Passwords are not match
            </mat-error>
          </ng-container>
        </ng-container>
      </mat-form-field>

    </div>
  </div>

  <div class="md-btns d-flex justify-center flex-column mb-8">
    <button mat-flat-button color="primary" type="submit" [disabled]="form.invalid || form.pristine">
      Sign Up
    </button>
  </div>
</form>
